%define url_ver		%(echo %{version} | cut -d. -f1,2)

%define major		0
%global apiver		0.4
%define pluginname	%mklibname %{name}%{apiver}-plugins
%define libname		%mklibname %{name} %{apiver} %{major}
%define libnamenpd	%mklibname %{name}-npd %{apiver} %{major}
%define libnamesc	%mklibname %{name}-sc %{apiver} %{major}
%define girname		%mklibname %{name}-gir %{apiver}
%define develname	%mklibname %{name} -d

Name:		gegl
Version:	0.4.50
Release:	%mkrel 2
Summary:	GEGL (Generic Graphics Library) - graph based image processing framework
Group:		System/Libraries
# The binary is under the GPL, while the libs are under LGPL.
License:	GPLv3+
URL:		https://www.gegl.org/
Source0:	https://ftp.gimp.org/pub/gegl/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		gegl04-openexr.patch
Patch1:		gegl04-gtk.patch
Patch2:		gegl-npd-sc-soname.patch
BuildRequires:	pkgconfig(babl-0.1) >= 0.1.108
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gexiv2)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(jasper)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(lensfun)
BuildRequires:	pkgconfig(libavcodec)
BuildRequires:	pkgconfig(libavformat)
BuildRequires:	pkgconfig(libraw)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libspiro) >= 20190731
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(luajit)
BuildRequires:	pkgconfig(maxflow)
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(pangocairo)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(pygobject-3.0)
# to pull libumfpack5 in (which is the only thing we need):
BuildRequires:	suitesparse-devel
BuildRequires:	asciidoc
BuildRequires:	enscript
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	graphviz
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	ruby
BuildRequires:	locales
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	vala-tools
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	meson

%description
GEGL (Generic Graphics Library) is a graph based image processing
framework.

GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to
have minimal dependencies. and a simple well defined API.


%package -n     %{libname}
Summary:	A library for %{name}
Group:		System/Libraries
License:	LGPLv3+
Requires:	%{pluginname} >= %{version}-%{release}

%description -n %{libname}
GEGL (Generic Graphics Library) is a graph based image processing
framework.

GEGLs original design was made to scratch GIMPs itches for a new
compositing and processing core. This core is being designed to
have minimal dependencies. and a simple well defined API.

%package -n	%{pluginname}
Summary:	GEGL plugins
Group:		System/Libraries
License:	LGPLv3+
Conflicts:	%{_lib}gegl0.4_0 < 0.4.38-2

%description -n	%{pluginname}
GEGL (Generic Graphics Library) is a graph based image processing
framework.

This package provides plugins for GEGL.

%package -n	%{libnamenpd}
Summary:	N-point image deformation library
Group:		System/Libraries
License:	LGPLv3+
Conflicts:	%{_lib}gegl0.4_0 < 0.4.38

%description -n	%{libnamenpd}
N-point image deformation library.

%package -n     %{libnamesc}
Summary:	GEGL Seamless Cloning
Group:		System/Libraries
License:	GPLv3+
Conflicts:	%{_lib}gegl0.4_0 < 0.4.38

%description -n	%{libnamesc}
Seamless Cloning Library Based on GEGL.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n     %{develname}
Summary:	Header files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libnamenpd} = %{version}-%{release}
Requires:	%{libnamesc} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%{_lib}gegl0.4_0 < 0.4.36-6

%description -n %{develname}
GEGL (Generic Graphics Library) is a graph based image processing
framework.

GEGLs original design was made to scratch GIMP's itches for a new
compositing and processing core. This core is being designed to
have minimal dependencies and a simple, well-defined API.

%prep
%autosetup -p1

%build
export LC_ALL=UTF-8
%meson \
  -Dmrg=disabled \
  --auto-features=auto \
  -Ddocs=false \
  -Dgtk-doc=false \
  -Dgi-docgen=disabled

%meson_build

%install
%meson_install

%find_lang gegl-%{apiver}

%check
#ninja -C build test || :

%files -f gegl-%{apiver}.lang
%{_bindir}/gegl
#{_bindir}/gcut
%{_bindir}/gegl-imgcmp
%dir %{_datadir}/gegl-%{apiver}/
%{_datadir}/gegl-%{apiver}/lua/

%files -n %{libname}
%doc AUTHORS
%license COPYING.LESSER
%{_libdir}/libgegl-%{apiver}.so.%{major}{,.*}

%files -n %{pluginname}
%{_libdir}/gegl-%{apiver}/

%files -n %{libnamenpd}
%license COPYING.LESSER
%{_libdir}/libgegl-npd-%{apiver}.so.%{major}{,.*}

%files -n %{libnamesc}
%license COPYING
%{_libdir}/libgegl-sc-%{apiver}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Gegl-%{apiver}.typelib

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/gegl-%{apiver}/
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/Gegl-%{apiver}.gir
%{_datadir}/vala/vapi/gegl-%{apiver}.*


%changelog
* Sun Dec 08 2024 daviddavid <daviddavid> 0.4.50-2.mga10
+ Revision: 2122611
- rebuild for new ffmpeg 7.1

* Mon Nov 04 2024 daviddavid <daviddavid> 0.4.50-1.mga10
+ Revision: 2112372
- new version 0.4.50

* Thu Mar 07 2024 kekepower <kekepower> 0.4.48-1.mga10
+ Revision: 2048370
- Update to version 0.4.48

* Fri Oct 27 2023 kekepower <kekepower> 0.4.46-1.mga10
+ Revision: 2002195
- Update to version 0.4.46

* Fri Oct 13 2023 daviddavid <daviddavid> 0.4.42-2.mga10
+ Revision: 1996010
- rebuild for new jasper 4.0.0

* Wed Feb 22 2023 kekepower <kekepower> 0.4.42-1.mga9
+ Revision: 1944657
- Fix BR for babl
- Update to version 0.4.42

* Mon Dec 12 2022 ns80 <ns80> 0.4.40-3.mga9
+ Revision: 1921051
- rebuild for new libtiff

* Tue Nov 22 2022 daviddavid <daviddavid> 0.4.40-2.mga9
+ Revision: 1910125
- rebuild for new jasper 3.0.6

* Mon Nov 14 2022 kekepower <kekepower> 0.4.40-1.mga9
+ Revision: 1907269
- Update to version 0.4.40

* Tue Nov 01 2022 mrambo3501 <mrambo3501> 0.4.38-3.mga9
+ Revision: 1901032
- rebuild for new lensfun

* Wed Jul 27 2022 wally <wally> 0.4.38-2.mga9
+ Revision: 1872516
- split out 'plugins'

* Wed Jul 27 2022 wally <wally> 0.4.38-1.mga9
+ Revision: 1872511
- new version 0.4.38
- split out libgegl-npd and libgegl-sc

* Wed Jul 27 2022 wally <wally> 0.4.36-6.mga9
+ Revision: 1872412
- add soversion to libgegl-npd and libgegl-sc libs

* Wed Jul 27 2022 neoclust <neoclust> 0.4.36-5.mga9
+ Revision: 1872375
- Exclude 2 so files as they are wanted in the lib package

* Sun Mar 20 2022 tv <tv> 0.4.36-4.mga9
+ Revision: 1802121
- Try again now that babl is "fixed" on armv7hl

* Sun Mar 20 2022 tv <tv> 0.4.36-3.mga9
+ Revision: 1801719
- Fix build with ffmpeg 5.0
- Fix License
+ mrambo3501 <mrambo3501>
- rebuild for ffmpeg 5.0

* Mon Mar 07 2022 tv <tv> 0.4.36-1.mga9
+ Revision: 1789463
- 0.4.36

* Sat Dec 25 2021 wally <wally> 0.4.34-2.mga9
+ Revision: 1763705
- rebuild for openexr 3.1.3

* Mon Dec 20 2021 kekepower <kekepower> 0.4.34-1.mga9
+ Revision: 1763008
- Update to version 0.4.34

* Wed Dec 01 2021 kekepower <kekepower> 0.4.32-1.mga9
+ Revision: 1760271
- Disable building docs for now as it fails
+ luigiwalser <luigiwalser>
- add patch from fedora to fix doc build
- 0.4.32

* Mon Mar 29 2021 kekepower <kekepower> 0.4.30-1.mga9
+ Revision: 1711687
- Update to version 0.4.30

* Wed Dec 30 2020 luigiwalser <luigiwalser> 0.4.28-1.mga8
+ Revision: 1665988
- BR: pkgconfig(maxflow)
- 0.4.28

* Wed Sep 09 2020 zezinho <zezinho> 0.4.26-2.mga8
+ Revision: 1623886
- rebuild against libraw20

* Thu Sep 03 2020 luigiwalser <luigiwalser> 0.4.26-1.mga8
+ Revision: 1621453
- 0.4.26

* Mon Jun 08 2020 daviddavid <daviddavid> 0.4.24-1.mga8
+ Revision: 1591029
- new version: 0.4.24

* Mon Feb 24 2020 tv <tv> 0.4.22-3.mga8
+ Revision: 1550153
- ignore testsuite failures for now
+ kekepower <kekepower>
- Rebuild for aarch64

* Wed Feb 19 2020 kekepower <kekepower> 0.4.22-1.mga8
+ Revision: 1544989
- Update to version 0.4.22

* Mon Feb 17 2020 umeabot <umeabot> 0.4.18-3.mga8
+ Revision: 1537250
- Mageia 8 Mass Rebuild

* Mon Oct 28 2019 daviddavid <daviddavid> 0.4.18-2.mga8
+ Revision: 1456300
- add upstream patches to fix cpu detection
- re-enable aarch64 build

* Mon Oct 28 2019 tv <tv> 0.4.18-1.mga8
+ Revision: 1456292
- temp exclude aarch64
- BR suitesparse-devel
- switch to meson
- bump needed babl version
- drop unappliable patches
- adjust BR
- disable new mrg requires for UI
- adjust file list
- needs newer libspiro
- switch to meson
- bump needed babl version
- drop unappliable patches
- new release

* Fri May 17 2019 daviddavid <daviddavid> 0.4.16-1.mga7
+ Revision: 1398107
- new version: 0.4.16

* Sun Mar 31 2019 luigiwalser <luigiwalser> 0.4.14-1.mga7
+ Revision: 1383769
- 0.4.14

* Fri Nov 09 2018 kekepower <kekepower> 0.4.12-2.mga7
+ Revision: 1329041
- Bump rel to build on armv7

* Fri Nov 09 2018 kekepower <kekepower> 0.4.12-1.mga7
+ Revision: 1329033
- Update to version 0.4.12

* Tue Oct 16 2018 daviddavid <daviddavid> 0.4.8-4.mga7
+ Revision: 1320810
- add upstream patch to avoid hard-coding Imath_2_2 name space
- rebuild for new ilmbase 2.3.0

* Thu Sep 06 2018 ovitters <ovitters> 0.4.8-3.mga7
+ Revision: 1257593
- rebuild for libraw

* Thu Sep 06 2018 tv <tv> 0.4.8-2.mga7
+ Revision: 1257493
- rebuild for new libraw

* Mon Aug 20 2018 tv <tv> 0.4.8-1.mga7
+ Revision: 1252956
- need newer babl
- new release

* Thu Jul 05 2018 shlomif <shlomif> 0.4.4-2.mga7
+ Revision: 1241824
- New version 0.4.4

* Sun May 27 2018 wally <wally> 0.4.2-2.mga7
+ Revision: 1232413
- rebuild for openexr 2.2.1

* Sun May 20 2018 kekepower <kekepower> 0.4.2-1.mga7
+ Revision: 1230833
- Remove merged ffmpeg-4.0 patch
- Use make_build
- Update to version 0.4.2

* Tue May 01 2018 tv <tv> 0.4.0-1.mga7
+ Revision: 1224305
- new release

* Sun Apr 29 2018 daviddavid <daviddavid> 0.3.34-2.mga7
+ Revision: 1223611
- add patch to fix build with ffmpeg 4.0
- rebuild for new ffmpeg 4.0

* Wed Apr 18 2018 shlomif <shlomif> 0.3.34-1.mga7
+ Revision: 1219833
- New version 0.3.34

* Mon Apr 16 2018 daviddavid <daviddavid> 0.3.30-2.mga7
+ Revision: 1219277
- rebuild for new jasper 2.0.14

* Tue Mar 27 2018 kekepower <kekepower> 0.3.30-1.mga7
+ Revision: 1212923
- Update to version 0.3.30

* Fri Feb 16 2018 ovitters <ovitters> 0.3.28-1.mga7
+ Revision: 1201631
- new version 0.3.28

* Wed Aug 23 2017 ovitters <ovitters> 0.3.20-1.mga7
+ Revision: 1143684
- new version 0.3.20
- dropped merged patch 0001-build-move-G_LOG_DOMAIN-define-to-a-Makefile.am-as-s.patch

* Sun Aug 06 2017 daviddavid <daviddavid> 0.3.14-3.mga7
+ Revision: 1138087
- rebuild for new libwebp 0.6.0

* Sat May 06 2017 wally <wally> 0.3.14-2.mga6
+ Revision: 1099336
- add patch from upstream to fix gi build
+ akien <akien>
- Rebuild for ffmpeg 3.3

* Tue Mar 21 2017 ovitters <ovitters> 0.3.14-1.mga6
+ Revision: 1094037
- new version 0.3.14

* Wed Mar 08 2017 akien <akien> 0.3.10-3.mga6
+ Revision: 1089856
- Rebuild for ffmpeg 3.2.4

* Wed Dec 28 2016 neoclust <neoclust> 0.3.10-2.mga6
+ Revision: 1078461
- Rebuild for new libraw

* Sat Nov 12 2016 luigiwalser <luigiwalser> 0.3.10-1.mga6
+ Revision: 1066630
- 0.3.10

* Wed Jul 06 2016 ovitters <ovitters> 0.3.8-1.mga6
+ Revision: 1039186
- new version 0.3.8

* Mon Mar 14 2016 pterjan <pterjan> 0.3.6-1.mga6
+ Revision: 990574
- Add missing BuildRequires
- Update more the string format patch
- Update string format patch
- Update to 0.3.6
- Update to 0.3.6

* Sat Jan 23 2016 wally <wally> 0.3.4-5.mga6
+ Revision: 926647
- update BRs

* Sat Jan 23 2016 wally <wally> 0.3.4-4.mga6
+ Revision: 926636
- add patch to avoid pulling devel pkgs with the library

* Fri Jan 08 2016 luigiwalser <luigiwalser> 0.3.4-3.mga6
+ Revision: 920536
- rebuild for lensfun

* Mon Dec 21 2015 tv <tv> 0.3.4-2.mga6
+ Revision: 913052
- fix file list
- temporary disable underlining detection
- versionnate babl BR
- drop patch 0
- new release

* Sun Oct 18 2015 wally <wally> 0.3.0-3.mga6
+ Revision: 892438
- rebuild for new libopenraw (with a patch)

* Mon Aug 31 2015 cjw <cjw> 0.3.0-2.mga6
+ Revision: 871456
- rebuild with gcc 5

* Wed Jul 08 2015 wally <wally> 0.3.0-1.mga6
+ Revision: 852859
- new version 0.3.0
- new libapi 0.3
- drop unneeded patches
- add gir pkg
- disable workshop for now as it breaks the build
- tag docs as such

* Sat Dec 13 2014 cjw <cjw> 0.2.0-22.mga5
+ Revision: 802888
- patch4: fixes for ffmpeg 2.4 from debian (some changes from patch3 moved there)
- patch5: fixes for ffmpeg 2.5

* Fri Nov 14 2014 fwang <fwang> 0.2.0-21.mga5
+ Revision: 796975
- rebuild for new ffmpeg

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-20.mga5
+ Revision: 748044
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-19.mga5
+ Revision: 679482
- Mageia 5 Mass Rebuild

* Sun Aug 24 2014 luigiwalser <luigiwalser> 0.2.0-18.mga5
+ Revision: 666992
- rebuild for ilmbase and OpenEXR

* Sat Jun 28 2014 tv <tv> 0.2.0-17.mga5
+ Revision: 640775
- patch 3: fix build with lua-5.2
- build with lua-5.2

* Thu May 01 2014 luigiwalser <luigiwalser> 0.2.0-16.mga5
+ Revision: 619150
- rebuild for ilmbase

* Sat Oct 19 2013 umeabot <umeabot> 0.2.0-15.mga4
+ Revision: 534488
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 fwang <fwang> 0.2.0-14.mga4
+ Revision: 478017
- rebuild for new openexr

* Sat Aug 03 2013 fwang <fwang> 0.2.0-13.mga4
+ Revision: 462923
- more correct patch on newer ffmpeg

* Sat Aug 03 2013 fwang <fwang> 0.2.0-12.mga4
+ Revision: 462919
- force rebuild of gegl for new ffmpeg

* Thu Jul 11 2013 fwang <fwang> 0.2.0-11.mga4
+ Revision: 452764
- rebuild for new ffmpeg

* Sun Jun 02 2013 fwang <fwang> 0.2.0-10.mga4
+ Revision: 435477
- rebuild for new libpng

* Fri Jan 11 2013 umeabot <umeabot> 0.2.0-9.mga3
+ Revision: 351259
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 fwang <fwang> 0.2.0-8.mga3
+ Revision: 324992
- rebuild for new openexr

* Sat Nov 17 2012 fwang <fwang> 0.2.0-7.mga3
+ Revision: 319067
- force utf-8 when building
- br lua 5.1
+ luigiwalser <luigiwalser>
- add patches from upstream to fix CVE-2012-4433

* Mon May 28 2012 fwang <fwang> 0.2.0-6.mga3
+ Revision: 247873
- more fixes

* Mon May 28 2012 fwang <fwang> 0.2.0-5.mga3
+ Revision: 247869
- more symbol lookup fixes

* Mon May 28 2012 fwang <fwang> 0.2.0-4.mga3
+ Revision: 247864
- more patches

* Mon May 28 2012 fwang <fwang> 0.2.0-3.mga3
+ Revision: 247860
- fix build with latest ffmpeg
- rebuild for new ffmpeg

* Thu May 03 2012 fwang <fwang> 0.2.0-2.mga2
+ Revision: 234589
- fix wrong obsoletes

* Thu May 03 2012 fwang <fwang> 0.2.0-1.mga2
+ Revision: 234580
- update file list
- update file list
- correct libapiver
- new version 0.2.0

* Tue Nov 29 2011 fwang <fwang> 0.1.8-1.mga2
+ Revision: 174045
- new version 0.1.8

* Tue Nov 29 2011 fwang <fwang> 0.1.6-3.mga2
+ Revision: 174036
- bump rel
- more patch on ffmpeg

* Sun Sep 11 2011 fwang <fwang> 0.1.6-2.mga2
+ Revision: 142348
- rebuild for new 0.1.6

* Thu Jun 30 2011 ahmad <ahmad> 0.1.6-1.mga2
+ Revision: 116388
- Update to 0.1.6
- Bump BR babl-devel version
- Don't ship .la

* Fri Jun 24 2011 fwang <fwang> 0.1.2-4.mga2
+ Revision: 113082
- more ffmpeg 0.8 fix
- fix build with ffmpeg 0.8
- rebuild for new ffmpeg

* Wed Jan 19 2011 ahmad <ahmad> 0.1.2-3.mga2
+ Revision: 24764
- drop old/unneeded scriptlets
- imported package gegl


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.2-2mdv2011.0
+ Revision: 605444
- rebuild

* Sat Feb 13 2010 Emmanuel Andry <eandry@mandriva.org> 0.1.2-1mdv2010.1
+ Revision: 505579
- New version 0.1.2
- bump babl BR
- use api major
- BR libopenraw-devel

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-3mdv2010.1
+ Revision: 488756
- rebuilt against libjpeg v8

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-2mdv2010.0
+ Revision: 416615
- rebuilt against libjpeg v7

* Tue Jul 07 2009 Götz Waschk <waschk@mandriva.org> 0.1.0-1mdv2010.0
+ Revision: 393181
- new version
- bump babl dep
- source URL

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 0.0.22-1mdv2009.1
+ Revision: 323638
- New version 0.0.22
- patches merged upstream

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Mon Dec 08 2008 Emmanuel Andry <eandry@mandriva.org> 0.0.20-3mdv2009.1
+ Revision: 311772
- add P2 from gegl svn to fix black image generation (#46138)

* Mon Oct 13 2008 Götz Waschk <waschk@mandriva.org> 0.0.20-2mdv2009.1
+ Revision: 293311
- fix patch 0

* Sun Oct 12 2008 Götz Waschk <waschk@mandriva.org> 0.0.20-1mdv2009.1
+ Revision: 293043
- fix build deps
- new version
- update patch 0

* Tue Jun 24 2008 Götz Waschk <waschk@mandriva.org> 0.0.18-1mdv2009.0
+ Revision: 228562
- new version
- fix build with glib
- bump babl dep
- fix license
- add docs
- rearrange spec file

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu May 15 2008 Götz Waschk <waschk@mandriva.org> 0.0.16-3mdv2009.0
+ Revision: 207582
- reenable ffmpeg

* Tue Apr 29 2008 Götz Waschk <waschk@mandriva.org> 0.0.16-2mdv2009.0
+ Revision: 198955
- disable ffmpeg support
- use the right configure macro

* Wed Apr 16 2008 Emmanuel Andry <eandry@mandriva.org> 0.0.16-1mdv2009.0
+ Revision: 194739
- Add missing BR
- Add more missing BR
- add missing BR (from Fedora)
- New version
- fix libs
- enable-workshop

  + Thierry Vignaud <tv@mandriva.org>
    - fix spacing at top of description
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Add BuildRequires
    - Import gegl

